# WOK
TKWOK
WOKStep

# WOKStep_Extract Class Reference

`#include <WOKStep_Extract.hxx>`

Inheritance diagram for WOKStep_Extract:

[legend]

## Public Member Functions

Standard_EXPORT void | SetExtractor (const Handle(WOKBuilder_MSExtractor)&anextractor)
Standard_EXPORT Handle_WOKBuilder_MSExtractor | Extractor () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_Extract (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&item)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Private Attributes

Handle_WOKBuilder_MSExtractor | myextractor

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_Extract::WOKStep_Extract | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_Extract::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_SourceExtract, and WOKStep_TemplateExtract.

virtual Standard_EXPORT void WOKStep_Extract::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_ClientExtract, WOKStep_JiniExtract, and WOKStep_SourceExtract.

Standard_EXPORT Handle_WOKBuilder_MSExtractor WOKStep_Extract::Extractor | ( |  | ) | const

Standard_EXPORT const WOKStep_Extract::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_MSStep. Reimplemented in WOKDFLT_DFLTExtract, WOKOBJS_SchExtract, WOKStep_ClientExtract, WOKStep_EngineExtract, WOKStep_HeaderExtract, WOKStep_JiniExtract, WOKStep_ServerExtract, WOKStep_SourceExtract, and WOKStep_TemplateExtract.

virtual Standard_EXPORT Standard_Boolean WOKStep_Extract::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | item | ) | `[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_ClientExtract, WOKStep_EngineExtract, and WOKStep_JiniExtract.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_Extract::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step. Reimplemented in WOKStep_SourceExtract, and WOKStep_TemplateExtract.

Standard_EXPORT void WOKStep_Extract::SetExtractor | ( | const Handle(WOKBuilder_MSExtractor)& | anextractor | ) |

## Field Documentation

Handle_WOKBuilder_MSExtractor WOKStep_Extract::myextractor `[private]`

The documentation for this class was generated from the following file:

- WOKStep_Extract.hxx